package com.autentia.tutoriales.dynamicjasper;

import java.util.Date;

import net.sf.jasperreports.view.JasperDesignViewer;
import net.sf.jasperreports.view.JasperViewer;
import ar.com.fdvs.dj.domain.DynamicReport;
import ar.com.fdvs.dj.domain.builders.FastReportBuilder;

/**
 * Ejemplo sencillo que muestra la configuración básica de un informe y sus columnas
 * @author Autentia
 */
public class SimpleReportOne extends ReportBase{

	
	public static void main(String[] args) throws Exception {
  		SimpleReportOne simpleReportOne = new SimpleReportOne();
  		simpleReportOne.generateReport();
  		simpleReportOne.exportToJRXML();
  		JasperViewer.viewReport(simpleReportOne.jp);	//finally display the report report
  		JasperDesignViewer.viewReportDesign(simpleReportOne.jr);
	}

	public DynamicReport buildReport() throws Exception {

		FastReportBuilder drb = new FastReportBuilder();
		
  		drb.addColumn("Name", "name", String.class.getName(),30)
			.addColumn("Address", "address", String.class.getName(),30)
  			.addColumn("Zip Code", "zipcode", Integer.class.getName(),10)
  			.addColumn("Country", "country", String.class.getName(),50)
  			.setTitle("Primer informe con Dynamic Jasper")
  			.setSubtitle("Ha sido generado " + new Date())
  			.setPrintBackgroundOnOddRows(true)			
  			.setUseFullPageWidth(true);
		  
  		return drb.build();

	}

	

}	
